- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_xv_query_best_size_request_t Struct Reference
[XCB Xv API]

xcb_xv_query_best_size_request_t More...

`#include <xv.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xv_port_t | port
uint16_t | vid_w
uint16_t | vid_h
uint16_t | drw_w
uint16_t | drw_h
uint8_t | motion
uint8_t | pad0 [3]

## Detailed Description

xcb_xv_query_best_size_request_t

## Field Documentation

uint8_t xcb_xv_query_best_size_request_t::major_opcode

uint8_t xcb_xv_query_best_size_request_t::minor_opcode

uint16_t xcb_xv_query_best_size_request_t::length

xcb_xv_port_t xcb_xv_query_best_size_request_t::port

uint16_t xcb_xv_query_best_size_request_t::vid_w

uint16_t xcb_xv_query_best_size_request_t::vid_h

uint16_t xcb_xv_query_best_size_request_t::drw_w

uint16_t xcb_xv_query_best_size_request_t::drw_h

uint8_t xcb_xv_query_best_size_request_t::motion

uint8_t xcb_xv_query_best_size_request_t::pad0[3]

The documentation for this struct was generated from the following file:

- xv.h